=== debian/changelog ===
dde-shell (1.99.36) unstable; urgency=medium

  * feat: introduce RoleGroupModel
  * refactor: update display mode icons and logic

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 15 May 2025 21:15:21 +0800

dde-shell (1.99.35) unstable; urgency=medium

  * chore: drop no longer existed translation resource 
  * chore: update copywriting of dock modes 
  * feat: Add animation for position switching to dock	
  * Update translations from Transifex

-- Wu Jiangyu <wujiangyu@uniontech.com>  Tue, 13 May 2025 17:20:000 +0800

dde-shell (1.99.34) unstable; urgency=medium

  * refactor: simplify notification action handling
  * fix: need request back when embed popup hidden
  * fix: prevent duplicate OSD actions for same type
  * fix: remove DSG_APP_ID from notification action
  * chore: release dde-shell 1.99.33

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:41:17 +0800

dde-shell (1.99.33) unstable; urgency=medium

  * [skip CI] Translate org.deepin.ds.osd.default.ts in pl
  * [skip CI] Translate org.deepin.ds.notificationcenter.ts in pt_BR
  * fix: Fixed the issue that qCDebug does not output
  * fix: initialize dock color theme with default value
  * fix: adjust ui of title for notification
  * fix: [Font-size] The Font size can not change by dde-control-center. (#1105)

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 14:39:30 +0800

dde-shell (1.99.32) UNRELEASED; urgency=medium

  * chore: missing some translations for notification (BUG-289337)
  * fix: compatibility with Qt 6.9+
  * fix: elements not aligned correctly when dock resize (BUG-312831)
  * fix: need update exclusion zone when screen was added or removed
    (BUG-306339)
  * fix: bluetooth still entered notificationcenter (BUG-311617)
  * fix: The icons residing on pannel move from the right side to the left side
    (BUG-309403)
  * fix: dnd does not disable to play sound for notification (BUG-310921)

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 17 Apr 2025 17:46:00 +0800

dde-shell (1.99.31) UNRELEASED; urgency=medium

  * fix: dock plugin display blurred on 1.25 screen scale ratio
  * refactor: Remove `searchitem` module from dock

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 10 Apr 2025 17:36:25 +0800

dde-shell (1.99.30) UNRELEASED; urgency=medium

  * bump version to 1.99.30

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Mar 2025 16:48:29 +0800

dde-shell (1.99.29) UNRELEASED; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#1064)
    Thanks to transifex-integration[bot]
  * feat: Receive close quick panel requests from plugins(Bug: 272277)
  * feat: adjust OSD ui according to v25
  * fix: shadow clipped for notification
  * fix: window preview blurry

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 27 Mar 2025 16:48:29 +0800

dde-shell (1.99.28) UNRELEASED; urgency=medium

  * chore: update translation

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 14 Mar 2025 11:07:05 +0800

dde-shell (1.99.27) UNRELEASED; urgency=medium

  * fix: task area might have incorrect height after resize in some cases
    (BUG: 303541, 303155)

 --  Wang Zichong <wangzichong@deepin.org>  Thu, 13 Mar 2025 15:13:00 +0800

dde-shell (1.99.26) UNRELEASED; urgency=medium

  * fix: num-lock can't enable

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 12 Mar 2025 14:50:53 +0800

dde-shell (1.99.25) UNRELEASED; urgency=medium

  * chore: bump version to 1.99.25

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 06 Mar 2025 19:58:56 +0800

dde-shell (1.99.24) UNRELEASED; urgency=medium

  * chore: bump version to 1.99.24

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 28 Feb 2025 10:25:56 +0800

dde-shell (1.99.23) UNRELEASED; urgency=medium

  * chore: remove dcc-dock-plugin

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 21 Feb 2025 18:17:08 +0800

dde-shell (1.99.22) UNRELEASED; urgency=medium

  * fix: record replaced notification to DB (Bug: 296235)
  * fix: Error with SmartHidden and KeepHidden modes of dock (Bug: 302819)
  * feat: drop to dock task icon to launch with uri (Bug: 275395)
  * fix: Staging notifications cannot disappear after timeout (Bug: 303331)
  * fix: Incorrect application layout menu display content (Bug: 289221, 286541, 286553)
  * fix: Notifications not displayed in the center cannot disappear after timeout (Bug: 303295)
  * fix: Staging notifications cannot disappear after timeout (Bug: 303331)
  * fix: Dragging an application will hide the dock (Bug: 289207, 289205)
  * fix: add offset to quick panel drag item to avoid cursor cover icon (Bug: 293867)
  * fix: The dock automatically hides
  * fix: item size not updated when taskbar item count was changed (Bug: 289225)
  * i18n: Updates for project Deepin Desktop Environment
 
 -- Wang Zichong <wangzichong@deepin.org>  Fri, 21 Feb 2025 13:42:00 +0800

dde-shell (1.99.21) UNRELEASED; urgency=medium

  * fix: update replace notification entity expired time(Bug: 296507)
  * fix: pinned application, notifications display order is incorrect(Bug: 299887)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 14 Feb 2025 10:24:56 +0800

dde-shell (1.99.20) UNRELEASED; urgency=medium

  * feat: provide execs and isLingLong properties
  * fix: jittering when draggin quick action applet
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 23 Jan 2025 17:35:43 +0800

dde-shell (1.99.19) UNRELEASED; urgency=medium

  * Temporary disable grand search icon for treeland
  * Fix access wild pointer in notification center

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 14 Jan 2025 16:00:00 +0800

dde-shell (1.99.18) UNRELEASED; urgency=medium

  * fix: plugin docked into tray area (#1007)
  * fix: drop BoxShadow for Attention animation
  * chore: Add the qt6-wayland running dependency

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 20:34:48 +0800

dde-shell (1.99.17) UNRELEASED; urgency=medium

  * UNRELEASED


