=== panels/notification/osd/audio/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

add_library(osd-audio SHARED
    audioapplet.cpp
    audioapplet.h
)

target_link_libraries(osd-audio PRIVATE
    dde-shell-frame
    Qt${QT_MAJOR_VERSION}::DBus
)

ds_install_package(PACKAGE org.deepin.ds.osd.audio TARGET osd-audio)
