=== debian/changelog ===
dde-shell (2.0.1) unstable; urgency=medium

  * chore: remove invalid translation resources
  * i18n: Updates for project Deepin Desktop Environment (#1168)
  * fix: incorrect target ts file path in transifex.yaml
  * i18n: Updates for project Deepin Desktop Environment (#1167)
  * fix: add missing resource in .tx/transifex.yaml

 -- WuJiangYu <wujiangyu@uniontech.com>  Tue, 24 Jun 2025 10:40:41 +0800

dde-shell (2.0.0) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#1162)
  * chore: adjust dockedElements DConfig
  * feat: add smart hide when hide desktop.
  * i18n: Updates for project Deepin Desktop Environment (#1159)
  * chore: set libdde-shell.so SOVERSION to 1

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:15:26 +0800

dde-shell (1.99.39) unstable; urgency=medium

  * chore: use ICU for relative datetime formatting
  * fix: layershell calcular in x11 emulation
  * fix: The tray application flashes an icon when opened
  * feat: add activeWindow D-Bus interface
  * chore: tweak role{group,combine}model

-- Wang Zichong <wangzichong@deepin.org>  Thu, 12 Jun 2025 19:12:00 +0800

dde-shell (1.99.38) unstable; urgency=medium

  * fix: The tray window panel automatically opens 
  * fix: just use one Dbus interface.
  * fix: update tanslation with Lock dock. 
  * feat: Lock the height of dock. 

-- Wu Jiangyu <wujiangyu@uniontech.com>  Thu, 05 Jun 2025 16:35:14 +0800

dde-shell (1.99.37) unstable; urgency=medium

  * fix: support string list in notification hints
  * fix: replace NumberAnimation with XAnimator in notification bubble
  * style: enhance OSD window visual effects
  * fix: remove redundant mode property in NotifyItemContent
  * chore: simplify window effect descriptions
  * fix: incorrectly removed window in AbstractWindowMonitor
  * fix: add missing winIconRole to DockCombineModel
  * fix: smart hide state not updated when window closed
  * i18n: Updates for project Deepin Desktop Environment (#1127)
  * refactor: prepare for combined model for taskmanager

 -- YeShanShan <yeshanshan@uniontech.com>  Wed, 28 May 2025 18:30:25 +0800
