## dde-shell 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,11 +52,31 @@
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
 
-find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Concurrent Quick WaylandClient DBus LinguistTools Sql)
+find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Concurrent Quick WaylandClient WaylandCompositor DBus LinguistTools Sql)
 find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui)
 find_package(ICU 74.2 REQUIRED COMPONENTS uc i18n io)
 find_package(WaylandProtocols REQUIRED)
 find_package(PkgConfig REQUIRED)
+
+try_compile(COMPILE_RESULT
+    ${CMAKE_CURRENT_BINARY_DIR}/try_compile_build
+    SOURCES ${CMAKE_SOURCE_DIR}/tests/check/qt_wayland_keyextension.cpp
+    LINK_LIBRARIES
+        Qt${QT_VERSION_MAJOR}::WaylandCompositorPrivate
+        Qt${QT_VERSION_MAJOR}::WaylandCompositor
+    COMPILE_DEFINITIONS 
+        -DQT_WAYLANDCOMPOSITOR_LIB
+        -DQT_WAYLANDCOMPOSITORPRIVATE_LIB
+        -DQT_WAYLANDCOMPOSITOR_IMPLEMENTATION
+    OUTPUT_VARIABLE compile_output
+)
+
+if(COMPILE_RESULT)
+    message(STATUS "Deepin Qt detected (try_compile success)")
+    add_definitions(-DUSE_DEEPIN_QT)
+else()
+    message(STATUS "Deepin Qt not detected")
+endif()
 
 add_subdirectory(frame)
 add_subdirectory(shell)
