=== debian/changelog ===
dde-shell (2.0.3) unstable; urgency=medium

  * feat: enhance notification validation and cleanup
  * refactor: remove debug panel and legacy DBus code
  * refactor: update notification handling and data access logic
  * fix: sort notifications by timestamp before display
  * i18n: Updates for project Deepin Desktop Environment (#1174)
  * chore: reduce layershell emulate log message's log level

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:15:01 +0800

dde-shell (2.0.2) unstable; urgency=medium

  * fix: fix safe build.
  * fix: cannot build on Archlinux
  * fix: Fixed the blurriness of the preview window to separate the X11
    and wayland environments.
  * fix: fix launchpad fullsream, click dock ,it will not close.
  * fix: init showingDesktop for smart Hide.
  * feat: add preview follows the system opacity.
  * fix: modify when keep hiden animation has launched, has shadow and
    line.
  * fix: adapt import change of QtQml.Models in Qt 6.9
  * i18n: Updates for project Deepin Desktop Environment (#1172)
  * fix(tray): allow plugin icons to be dragged to leftmost position ﻿ -
    Fix overly strict drag condition in TrayContainer.qml that prevented
    plugin icons from being dragged to the leftmost position - Replace
    `dropHoverIndex !== 0` check with precise condition `dropHoverIndex
    === 0 && !surfaceId.startsWith("application-tray") && isBefore` -
    Maintain protection for application tray icons while allowing plugin
    icons to be properly positioned - Fix inconsistent behavior between
    animation states

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 16:32:57 +0800
